Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Enumerations | Functions
Main.cpp File Reference
`#include <stdlib.h>`
`#include <list>`
`#include "Error.h"`
`#include "UniquePointer.h"`
`#include "Window.h"`
`#include "Value.h"`
`#include "Validator.h"`
`#include "IObserver.h"`
`#include "App.h"`
`#include "AppModuleCapture.h"`
`#include "AppModuleVideo.h"`
`#include "AppModuleMultiExposure.h"`
`#include "AppModuleMultiSession.h"`
`#include "AppModuleGallery.h"`
`#include "AppModuleGeneric.h"`
`#include "cameraBuilder.h"`

Go to the source code of this file.

## Classes

class | ArgusSamples::CameraApp

## Namespaces

namespace | ArgusSamples

## Enumerations

enum | ArgusSamples::Modules { ArgusSamples::MODULE_CAPTURE, ArgusSamples::MODULE_VIDEO, ArgusSamples::MODULE_MULTI_EXPOSURE, ArgusSamples::MODULE_MULTI_SESSION, ArgusSamples::MODULE_GALLERY, ArgusSamples::MODULE_FIRST = MODULE_CAPTURE, ArgusSamples::MODULE_LAST = MODULE_GALLERY, ArgusSamples::MODULE_COUNT, ArgusSamples::MODULE_INVALID = -1 }
| Supported modules. More...

## Functions

int | main (int argc, char **argv)

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 350 of file Main.cpp.